data.tar.xz support added to Launchpad

Micah Gersten micahg at ubuntu.com
Tue Oct 25 20:18:40 UTC 2011


On 10/25/2011 03:15 PM, Barry Warsaw wrote:
> On Aug 26, 2011, at 10:32 PM, Colin Watson wrote:
>
>> It should now be possible to use xz compression for .deb packages
>> uploaded to Ubuntu oneiric (using 'dh_builddeb -- -Zxz').  In order to
>> do so, you must include this field in the relevant binary packages:
>>
>>  Pre-Depends: dpkg (>= 1.15.6)
> I just ran into this when I merged testing's version of m2crypto, which had
> switched to xz compression.  The merge was tricky and I missed this tidbit in
> the Debian packaging, but I did do a local sbuild for precise before uploaded,
> and it succeeded without the Pre-Depends.
>
> However, when the buildd got to that point, it failed:
>
> https://launchpadlibrarian.net/83677349/buildlog_ubuntu-precise-amd64.m2crypto_0.21.1-2ubuntu1_BUILDING.txt.gz
>
> I need to try it again on pbuilder to see what happens there.  Of course, it's
> easy enough to add the Pre-Depends, but now I'm gunshy and don't trust my
> sbuild environment, so I'm building it in a PPA first.  Unfortunately, that's
> scheduled for *2 days* from now (!).  Yeah, I'll try to get it re-scored, but
> that's beside the point.
>
> Any idea why it succeeded in sbuild, and do you have any other suggestions for
> testing such package builds locally before uploading?
>
> -Barry
>
>
It's a check on upload and not during the build would be my guess. 
Maybe we should add a lintian warning/error if it uses .xz debs w/out
the pre-depends.

Micah
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.ubuntu.com/archives/ubuntu-devel/attachments/20111025/437170eb/attachment.html>


More information about the ubuntu-devel mailing list